package com.xhpc.activity.utils;


import cn.hutool.core.util.StrUtil;

public class AreaCodeUtil {

    public static String removeAreaCode(String stationIds){
        String shen = "Shen";
        String shi = "Shi";
        String qu = "Qu";
        String[] stationList = stationIds.split(",");
        StringBuilder newIds = new StringBuilder();
        for(String stationId: stationList){
            if(!stationId.contains(shen) && !stationId.contains(shi) && !stationId.contains(qu)){
                newIds.append(stationId).append(",");
            }
        }

        return StrUtil.sub(newIds.toString(),0, -1);
    }
}
